%global modname flask
%global srcname Flask

Name:           python3-%{modname}
Version:        1.1.2
Release:        4%{?dist}
Summary:        Micro-framework for Python based on Werkzeug, Jinja 2 and good intentions

License:        BSD
URL:            https://flask.palletsprojects.com
Source0:        %{pypi_source}

BuildArch:      noarch

%global _description \
Flask is called a “micro-framework” because the idea to keep the core\
simple but extensible. There is no database abstraction layer, no form\
validation or anything else where different libraries already exist\
that can handle that. However Flask knows the concept of extensions\
that can add this functionality into your application as if it was\
implemented in Flask itself. There are currently extensions for object\
relational mappers, form validation, upload handling, various open\
authentication technologies and more.

%description %{_description}

%package -n python%{python3_pkgversion}-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-werkzeug >= 0.15
Requires:       python%{python3_pkgversion}-jinja2 >= 2.10.1
Requires:       python%{python3_pkgversion}-itsdangerous >= 0.24
Requires:       python%{python3_pkgversion}-click >= 5.1
Requires:       python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-%{modname} %{_description}

Python 3 version.

%prep
%autosetup -n %{srcname}-%{version}
rm -rf examples/flaskr/
rm -rf examples/minitwit/

%build
%py3_build

%install
%py3_install
mv %{buildroot}%{_bindir}/%{modname}{,-%{python3_version}}
ln -s %{modname}-%{python3_version} %{buildroot}%{_bindir}/%{modname}-3

%files -n python%{python3_pkgversion}-%{modname}
%license LICENSE.rst
%doc CHANGES.rst README.rst
%{_bindir}/%{modname}-3
%{_bindir}/%{modname}-%{python3_version}
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{modname}/

%changelog
* Wed Apr 08 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.1.2-4
- Add Requires for setuptools

* Wed Apr 08 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.1.2-3
- Drop unversioned binary

* Wed Apr 08 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.1.2-2
- Remove Obsoletes

* Wed Apr 08 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.1.2-1
- Initial import
